Project

General

Profile

Bug #29610

Katello 3.15 install issues

Added by James Miller about 2 years ago. Updated about 2 years ago.

Status:
Rejected
Priority:
Normal
Assignee:
-
Category:
-
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

I had an error installing katello 3.15 on fresh install of centos7

[ERROR 2020-04-23T13:40:25 main] /Stage[main]/Postgresql::Client/Package[postgresql-client]/ensure: change from 'purged' to 'present' failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install rh-postgresql12-postgresql-syspaths' returned 1: Error: rh-postgresql12-postgresql-syspaths conflicts with postgresql-9.2.24-2.el7_7.x86_64

This issue was fixed by doing the following yum remove postgresql-9.2.24-2.el7_7.x86_64

History

#1 Updated by Jonathon Turel about 2 years ago

  • Status changed from New to Need more information

Thanks for the report James. We can't put our finger on what the root cause is yet. Would you mind giving us some information that could help point us in the right direction? We're looking for:

- Steps taken to install your Katello 3.15 server in as much detail as possible (manual commands run, did you use some kind of image, kickstart, etc)
- The yum log from /var/log which has the details around when RPM packages were installed
- Did you get this exact error on the first attempt of the installation or was it after a cleanup attempt and a subsequent foreman-installer run? If so, what was the first error, and what were the cleanup steps?

#2 Updated by Jonathon Turel about 2 years ago

  • Triaged changed from No to Yes
  • Target version set to Katello Recycle Bin
  • Status changed from Need more information to Rejected

Closing since we haven't heard back. Please re-open if you have any data that would help us reproduce the issue. Thank you!

Also available in: Atom PDF